Package org.eclipse.graphiti.ui.internal.editor

# Class DiagramEditorDummy

java.lang.Object
org.eclipse.graphiti.ui.internal.editor.DiagramEditorDummy

All Implemented Interfaces:
  `IDiagramContainer`

public class DiagramEditorDummy extends Object implements IDiagramContainer
can be used in the dark feature processing mode

## Constructor Summary

Constructors
Constructor
Description
`DiagramEditorDummy(IDiagramTypeProvider diagramTypeProvider, org.eclipse.emf.transaction.TransactionalEditingDomain eDomain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Notify the container that it should shut down or clear it's state.
`void`
`doSave(org.eclipse.core.runtime.IProgressMonitor monitor)`
Triggers that the diagram model is persisted.
`IDiagramBehavior`
`getDiagramBehavior()`
Returns the associated diagram behavior instance, that describes and implements the standard diagram behavior.
`IDiagramTypeProvider`
`getDiagramTypeProvider()`
Gets the diagram type provider.
`PictogramElement[]`
`getSelectedPictogramElements()`
Gets all pictogram elements that are currently selected.
`String`
`getTitle()`
Gets the title for the container that is displaying the diagram.
`String`
`getTitleToolTip()`
Returns the tooltip for the container.
`boolean`
`isAlive()`
`boolean`
`isDirty()`
Checks if the container is dirty.
`void`
`refreshTitle()`
Refreshes the title text of this container.
`void`
`refreshTitleToolTip()`
Refreshes the title tool tip text of this part.
`void`
`selectPictogramElements(PictogramElement[] pictogramElements)`
Selects all the given pictogram elements in the container.
`protected void`
`setDiagramTypeProvider(IDiagramTypeProvider diagramTypeProvider)`
`void`
`setPictogramElementForSelection(PictogramElement pictogramElement)`
Sets the pictogram element which should be selected after the container refresh.
`void`
`setPictogramElementsForSelection(PictogramElement[] pictogramElements)`
Sets the pictogram elements which should be selected after the container refresh.
`void`
`updateDirtyState()`
Updates the UI of the container to correctly reflect the dirty state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiagramEditorDummy

public DiagramEditorDummy(IDiagramTypeProvider diagramTypeProvider, org.eclipse.emf.transaction.TransactionalEditingDomain eDomain)

## Method Details

### getDiagramTypeProvider

public IDiagramTypeProvider getDiagramTypeProvider()
Description copied from interface: `IDiagramContainer`
Gets the diagram type provider.

Specified by:
  `getDiagramTypeProvider` in interface `IDiagramContainer`
Returns:
  The diagram type provider

### getSelectedPictogramElements

public PictogramElement[] getSelectedPictogramElements()
Description copied from interface: `IDiagramContainer`
Gets all pictogram elements that are currently selected.

Specified by:
  `getSelectedPictogramElements` in interface `IDiagramContainer`
Returns:
  all selected pictogram elements

### isDirty

public boolean isDirty()
Description copied from interface: `IDiagramContainer`
Checks if the container is dirty.

Specified by:
  `isDirty` in interface `IDiagramContainer`
Returns:
  `true`, if container is dirty, `false` otherwise

### refreshTitle

public void refreshTitle()
Description copied from interface: `IDiagramContainer`
Refreshes the title text of this container. It depends on the container type what and if anything is refreshed, for an editor e.g. the part tab will be refreshed.

Specified by:
  `refreshTitle` in interface `IDiagramContainer`

### refreshTitleToolTip

public void refreshTitleToolTip()
Description copied from interface: `IDiagramContainer`
Refreshes the title tool tip text of this part. It depends on the container type what and if anything is refreshed, for an editor e.g. the part tab tooltip will be refreshed.

Specified by:
  `refreshTitleToolTip` in interface `IDiagramContainer`

### selectPictogramElements

public void selectPictogramElements(PictogramElement[] pictogramElements)
Description copied from interface: `IDiagramContainer`
Selects all the given pictogram elements in the container.

Specified by:
  `selectPictogramElements` in interface `IDiagramContainer`
Parameters:
  `pictogramElements` - The pictogram elements to select

### setPictogramElementForSelection

public void setPictogramElementForSelection(PictogramElement pictogramElement)
Description copied from interface: `IDiagramContainer`
Sets the pictogram element which should be selected after the container refresh.

Specified by:
  `setPictogramElementForSelection` in interface `IDiagramContainer`
Parameters:
  `pictogramElement` - The pictogram element to select

### setPictogramElementsForSelection

public void setPictogramElementsForSelection(PictogramElement[] pictogramElements)
Description copied from interface: `IDiagramContainer`
Sets the pictogram elements which should be selected after the container refresh.

Specified by:
  `setPictogramElementsForSelection` in interface `IDiagramContainer`
Parameters:
  `pictogramElements` - The pictogram elements to select

### setDiagramTypeProvider

protected void setDiagramTypeProvider(IDiagramTypeProvider diagramTypeProvider)

### isAlive

public boolean isAlive()

### doSave

public void doSave(org.eclipse.core.runtime.IProgressMonitor monitor)
Description copied from interface: `IDiagramContainer`
Triggers that the diagram model is persisted.

Specified by:
  `doSave` in interface `IDiagramContainer`

### getTitle

public String getTitle()
Description copied from interface: `IDiagramContainer`
Gets the title for the container that is displaying the diagram.

Specified by:
  `getTitle` in interface `IDiagramContainer`
Returns:
  The title as a `String`

### getTitleToolTip

public String getTitleToolTip()
Description copied from interface: `IDiagramContainer`
Returns the tooltip for the container. For an editor that would e.g. be the string that is displayed when hovering over the editor title tab.

Specified by:
  `getTitleToolTip` in interface `IDiagramContainer`
Returns:
  The tooltip as a `String`

### updateDirtyState

public void updateDirtyState()
Description copied from interface: `IDiagramContainer`
Updates the UI of the container to correctly reflect the dirty state. What (and if anything) happens depends on the container type. The default implementation in the editor e.g. does this by firing a
invalid reference

    IEditorPart#PROP_DIRTY

property change.

Specified by:
  `updateDirtyState` in interface `IDiagramContainer`

### close

public void close()
Description copied from interface: `IDiagramContainer`
Notify the container that it should shut down or clear it's state.

Specified by:
  `close` in interface `IDiagramContainer`

### getDiagramBehavior

public IDiagramBehavior getDiagramBehavior()
Description copied from interface: `IDiagramContainer`
Returns the associated diagram behavior instance, that describes and implements the standard diagram behavior.

Specified by:
  `getDiagramBehavior` in interface `IDiagramContainer`
Returns:
  The associated instance of `IDiagramBehavior`.